import React from 'react';
import { Button, Variants } from '../forms/Button';
export var ProductDescription = function ProductDescription(_ref) {
  var title = _ref.title,
      category = _ref.category,
      description = _ref.description,
      price = _ref.price,
      action = _ref.action,
      onAdd = _ref.onAdd;
  return React.createElement("div", {
    className: "d-flex align-items-center justify-content-center h-100"
  }, React.createElement("div", {
    className: "d-flex flex-column w-100 ml-sm-8 mr-sm-8"
  }, React.createElement("h2", null, title), React.createElement("p", {
    className: "text-uppercase"
  }, category), React.createElement("p", {
    className: "font-weight-light mb-4 mb-sm-3"
  }, description), React.createElement("div", {
    className: "d-flex justify-content-between flex-row flex-sm-column justify-content-sm-center"
  }, React.createElement("div", {
    className: "align-self-center align-self-sm-start mb-sm-3"
  }, React.createElement("span", {
    className: "h2"
  }, price)), React.createElement(Button, {
    variant: Variants.OUTLINE_DARK,
    onClick: onAdd,
    className: "align-self-center align-self-sm-stretch"
  }, action))));
};